# $Revision: 1.39 $, $Date: 2010/06/06 08:39:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	PRSG
Summary:	Math::PRSG - Perl interface to pseudo random sequence generator function
Summary(pl.UTF-8):	Math::PRSG - interfejs Perla do funkcji generatora ciągów pseudolosowych
Name:		perl-Math-PRSG
Version:	1.0
Release:	11
# if used in a product, Systemics should be given attribution as the author
License:	free use, distributable
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4f0c32973d5b03d2a665b6ac6ec04b9c
Patch0:		%{name}-paths.patch
URL:		http://search.cpan.org/dist/Math-PRSG/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::PRSG is a Perl interface to pseudo random sequence generator
function. It implements a (159, 31, 0) LFSR, giving a period of 160
bits. This can then be used as a RNG if seeded well (ie. with 160 bits
of entropy) and if the output is fed through a message digest function
(in order to prevent any prediction).

%description -l pl.UTF-8
Math::PRSG to perlowy interfejs do funkcji generatora ciągów
pseudolosowych. Implementuje funkcję LFSR (159, 31, 0) mającą okres
160-bitowy. Może być używany jako generator liczb losowych jeśli
zostanie dobrze zasilony (160 bitami entropii), a wyjście jest
przekazywane przez funkcję skrótu (w celu uniknięcia
przewidywalności).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc examples/prsg_driver.pl
%{perl_vendorarch}/Math/PRSG.pm
%dir %{perl_vendorarch}/auto/Math/PRSG
%{perl_vendorarch}/auto/Math/PRSG/PRSG.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/PRSG/PRSG.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-PRSG.spec,v $
Revision 1.39  2010/06/06 08:39:22  arekm
- release 11

Revision 1.38  2008/03/24 16:17:51  qboosh
- generic URL, informative descs

Revision 1.37  2008-02-10 12:15:26  arekm
- rel 10

Revision 1.36  2008-01-10 08:38:39  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.35  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.33  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.32  2004/11/03 22:30:34  paladine
- formatting

Revision 1.31  2004/05/07 01:25:43  ankry
- rel. 9

Revision 1.30  2004/05/06 18:20:41  ankry
- fixed perl-devel BR

Revision 1.29  2004/04/25 00:50:58  ankry
- cosmetics: unification

Revision 1.28  2004/04/23 17:58:58  ankry
- tests added, license fix

Revision 1.27  2003/09/09 10:24:42  ankry
- spaces -> tab

Revision 1.26  2003/08/18 08:09:00  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/05/28 13:00:49  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:24:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 20:21:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:36:49  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/07/10 08:48:03  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:32:54  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:18:32  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:28:55  depesz
adapterized

Revision 1.13  2002/01/18 02:14:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.11  2001/04/17 12:12:50  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/25 20:03:45  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2001/01/19 01:40:35  kloczek
- spec adapterized,
- make spec %%{debug} ready.

Revision 1.7  2001/01/13 00:40:31  dobrek
-Req perl >=5.6; Realase=4;New rpm automat

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:12:37  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
